%define lib_name_orig	libhermes

%define lib_major	1
%define lib_name	%mklibname hermes %{lib_major}
%define dev_name	%mklibname hermes -d

Summary:	Hermes pixel format conversion library
Name:		hermes
Version:	1.3.3
Release:	%mkrel 21
License:	LGPL
Group:		System/Libraries
URL:		https://clanlib.org/hermes/
Source0:	http://dark.x.dtu.dk/~mbn/clanlib/download/Hermes-%{version}.tar.bz2

%description
HERMES is a library designed to convert a source buffer with a specified pixel
format to a destination buffer with possibly a different format at the maximum
possible speed.

On x86 and MMX architectures, handwritten assembler routines take over
the job and do it lightning fast.

On top of that, HERMES provides fast surface clearing, stretching and some
dithering. Supported platforms are basically all that have an ANSI C compiler
as there is no platform specific code but those are supported: DOS, Win32
(Visual C), Linux, FreeBSD (IRIX, Solaris are on hold at the moment), some BeOS
support.

%package -n %{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{dev_name}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}hermes1-devel < 1.3.3-12

%description -n %{dev_name}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n Hermes-%{version}

# make autoreconf happy
sed -i -e 's,\(AC_PROG_LIBTOOL.*\),\1\nAM_PROG_AS,' configure.in

%build
# fix build on aarch64
autoreconf -vfi

%configure \
    --disable-x86asm \
    --disable-static
make

%install
# makeinstall_std fails
%makeinstall

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{lib_name}
%doc AUTHORS TODO TODO.conversion
%{_libdir}/libHermes.so.%{lib_major}
%{_libdir}/libHermes.so.%{lib_major}.*

%files -n %{dev_name}
%doc docs/api/*.htm
%{_includedir}/Hermes/
%{_libdir}/libHermes.so


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.3.3-21.mga10
+ Revision: 2195375
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 1.3.3-20.mga9
+ Revision: 1791913
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.3.3-19.mga8
+ Revision: 1512923
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.3-18.mga7
+ Revision: 1298182
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 1.3.3-17.mga7
+ Revision: 1235413
- fix build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 1.3.3-16.mga6
+ Revision: 943928
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-15.mga5
+ Revision: 744765
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-14.mga5
+ Revision: 680109
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.3-13.mga4
+ Revision: 532431
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 1.3.3-12.mga4
+ Revision: 468424
- remove major from devel pkg name
- clean .spec

* Sat Jan 12 2013 umeabot <umeabot> 1.3.3-11.mga3
+ Revision: 353174
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ahmad <ahmad> 1.3.3-10.mga1
+ Revision: 57471
- drop old/unneeded scriptlets
- disable static build (and don't ship .la)
- imported package hermes


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-9mdv2011.0
+ Revision: 605854
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-8mdv2010.1
+ Revision: 522846
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3.3-7mdv2010.0
+ Revision: 425142
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.3.3-6mdv2009.0
+ Revision: 221127
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.3.3-5mdv2008.1
+ Revision: 126656
- kill re-definition of %%buildroot on Pixel's request


* Mon Mar 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-5mdv2007.1
+ Revision: 146693
- disable inline asm code by using "--disable-x86asm", it does not build otherwise

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-4mdv2007.1
+ Revision: 146024
- bump release
- added a gcc4 patch by pld (P0)
- Import hermes

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-3mdv2007.1
- use the mkrel macro

